
QGIS Application - Bug report #19766

Project file extension (QGS) in uppercase is not recognized

2018-09-04 10:11 AM - Alain FERRATON

Status: Closed

Priority: Normal

Assignee:

Category: Project Loading/Saving

Affected QGIS version:3.3(master) Regression?: No

Operating System: windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 27591

Description

QGIS allows to save a project with an extension in uppercase (QGS).

But the project is not recognized by the browser and a drag and drop in QGIS causes an error message (invalid data source)

open project from menu is ok

Associated revisions

Revision 9d36c4c2 - 2018-09-04 03:04 PM - Jürgen Fischer

also accept uppercase extensions (fixes #19766)

Revision 1c3d1e71 - 2018-09-06 05:04 AM - Jürgen Fischer

also accept uppercase extensions (fixes #19766)

(cherry picked from commit 9d36c4c28e86eb2c40d4a6bad679235a572366a7)

History

#1 - 2018-09-04 10:53 AM - Giovanni Manghi

- Category changed from Browser to Project Loading/Saving

#2 - 2018-09-04 03:04 PM - Jürgen Fischer

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|9d36c4c28e86eb2c40d4a6bad679235a572366a7.

#3 - 2018-09-04 03:35 PM - Giovanni Manghi

- Resolution set to fixed/implemented
